RDCatalog::HierarchCatalog< entryType, paramType, orderType >::vertex_entry_t Struct Reference

used by the BGL to set up the node properties in our graph More...

`#include <Catalog.h>`

## Public Types

enum | { num = 1003 }
typedef boost::vertex_property_tag | kind

## Detailed Description

### template<class entryType, class paramType, class orderType>
struct RDCatalog::HierarchCatalog< entryType, paramType, orderType >::vertex_entry_t

used by the BGL to set up the node properties in our graph

Definition at line 140 of file Catalog.h.

## Member Typedef Documentation

## kind

template<class entryType , class paramType , class orderType >

typedef boost::vertex_property_tag RDCatalog::HierarchCatalog< entryType, paramType, orderType >::vertex_entry_t::kind

Definition at line 142 of file Catalog.h.

## Member Enumeration Documentation

## anonymous enum

template<class entryType , class paramType , class orderType >

anonymous enum

Enumerator
num |

Definition at line 141 of file Catalog.h.

The documentation for this struct was generated from the following file:

- Catalog.h